# Changelog

All notable changes to this project will be documented in this file.

## [0.0.6] - 2023-11-12

### Documentation

- **todo**: document deptree sorting (564e601)

### Features

- **todo**: replace ascii sorting with opt-in deptree sorting (67464a8)

## [0.0.5] - 2023-09-30

### Features

- **cli**: add completion generation (6d75ea4)

### Miscellaneous Tasks

- bump dependencies (a0f0a06)

## [0.0.4] - 2023-09-26

### Features

- **cli, run**: add -a flag, generalise adding xbps-src flags (9331f3b)
- **run**: add a summary of the build at the end (815775b)

### Refactor

- **run**: avoid preemptively calculating parallelism for -j flag (5335530)
- use a custom struct to store build statuses (be3f661)
- enable builder API for duct expressions (e69bdfc)
- avoid borrowing freed table slots (a6403ad)

### Styling

- **run**: summarize func should accept a calculated build duration (ff20c8e)

## [0.0.3] - 2023-08-20

### Documentation

- **readme**: document `todo grab -i` flag (8ddb660)

### Features

- **run**: add package counter to stderr logs (a078376)
- **run**: basic output colours (0fea556)
- **run, report**: add more fail conditions (7a02226)
- **todo**: allow reading packages from input (a342e07)
- add styling to bootstrap logs (4a2d46d)

### Miscellaneous Tasks

- group changelog entries by scope (096685b)
- improve release justfile (e5fd6fe)

## [0.0.2] - 2023-08-16

### Features

- **cli**: add version flag (82a6cad)

## [0.0.1] - 2023-08-16

### Bug Fixes

- `xdestdir` -> `xdistdir` (80aa569)
- fail early when bootstrap fails (91f61f4)
- reorder build process redirection func calls (db4990d)

### Continuous Integration

- update woodpecker config (e1f973c)
- add basic CI config (9cc5e76)

### Documentation

- **readme**: document the report tool (947fd80)
- document how distdir is located (e0a1ab8)
- add README.md (58e3539)

### Features

- **todo**: add --append option (b94ea8c)
- change short option for masterdir arch to `-A` (ec796b7)
- add --masterdir-arch flag to the run command (a1bd9a7)
- use more robust distdir discovery (236d42b)
- add report functionality (da8d623)
- initial version (f9db5bc)

### Miscellaneous Tasks

- bring down version to initiate releases (c2195e5)
- add justfile release script (0953015)
- add git-cliff config (6048c15)
- add LICENSE (5a704c3)

### Refactor

- cleanup some code (1ba4d98)
- improve report printing code (398df44)

<!-- generated by git-cliff -->
